繁体   English   中英

Ionic 3 iOS错误:无法安装“ cordova-plugin-ionic-webview”:TypeError:无效版本:undefined

Ionic 3 ios error: Failed to install 'cordova-plugin-ionic-webview': TypeError: Invalid Version: undefined

提示:本站收集StackOverFlow近2千万问答,支持中英文搜索,鼠标放在语句上弹窗显示对应的参考中文或英文, 本站还提供   中文繁体   英文版本   中英对照 版本,有任何建议请联系yoyou2525@163.com。

我正在处理ionic 3项目,并且尝试运行“ cordova platform add ios”时出现以下错误:

Using cordova-fetch for cordova-ios@~4.5.4
Adding ios project...
Creating Cordova project for the iOS platform:
    Path: platforms/ios
    Package: io.ionic.starter
    Name: MyApp
iOS project created with cordova-ios@4.5.5
Installing "cordova-plugin-device" for ios
Installing "cordova-plugin-ionic-keyboard" for ios
Installing "cordova-plugin-ionic-webview" for ios
Failed to install 'cordova-plugin-ionic-webview': TypeError: Invalid Version: undefined
    at new SemVer (/usr/local/lib/node_modules/cordova/node_modules/semver/semver.js:305:11)
    at Range.test (/usr/local/lib/node_modules/cordova/node_modules/semver/semver.js:1112:15)
    at Function.satisfies (/usr/local/lib/node_modules/cordova/node_modules/semver/semver.js:1161:16)
    at checkEngines (/usr/local/lib/node_modules/cordova/node_modules/cordova-lib/src/plugman/install.js:116:20)
    at /usr/local/lib/node_modules/cordova/node_modules/cordova-lib/src/plugman/install.js:313:16
    at _fulfilled (/usr/local/lib/node_modules/cordova/node_modules/q/q.js:854:54)
    at /usr/local/lib/node_modules/cordova/node_modules/q/q.js:883:30
    at Promise.promise.promiseDispatch (/usr/local/lib/node_modules/cordova/node_modules/q/q.js:816:13)
    at /usr/local/lib/node_modules/cordova/node_modules/q/q.js:624:44
    at runSingle (/usr/local/lib/node_modules/cordova/node_modules/q/q.js:137:13)
Invalid Version: undefined

离子信息:

Ionic:

   ionic (Ionic CLI)  : 4.3.1 (/usr/local/lib/node_modules/ionic)
   Ionic Framework    : ionic-angular 3.9.2
   @ionic/app-scripts : 3.2.0

Cordova:

   cordova (Cordova CLI) : 8.1.2 (cordova-lib@8.1.1)
   Cordova Platforms     : ios 4.5.5
   Cordova Plugins       : cordova-plugin-ionic-keyboard 2.1.3, cordova-plugin-ionic-webview 2.2.3, (and 4 other plugins)

System:

   Android SDK Tools : 26.1.1 (/Users/voxiel/Library/Android/sdk/)
   ios-deploy        : 1.9.4
   NodeJS            : v10.4.1 (/usr/local/Cellar/node/10.4.1/bin/node)
   npm               : 6.1.0
   OS                : macOS High Sierra
   Xcode             : Xcode 9.4.1 Build version 9F2000

谢谢你的帮助!

问题暂未有回复.您可以查看右边的相关问题.
1 使用cordova-plugin-ionic-webview版本的冲突?

我正在研究一个ionic3应用程序。 我需要通过相机或图库从用户拍摄图像,首先将其保存到本地目录,然后将图像上传到服务器。 我使用了以下一步一步的教程: https : //devdactic.com/ionic-2-images/上传照片就像魅力一样,但在将图像保存到本地目录并将路径保存在 ...

5 仅适用于Ionic 4 PWA的应用程序需要cordova-plugin-ionic-webview

我需要将Ionic 4本机移动应用程序转换为仅PWA应用程序。 即此后没有本地构建。 我遵循了该文档,并使用了网络,相机等电容器插件。我的想法是从应用程序中删除所有Cordova和Ionic本机包装。 我的问题是我可以从应用程序中删除cordova-plugin-ionic-webvi ...

暂无
暂无

声明:本站的技术帖子网页,遵循CC BY-SA 4.0协议,如果您需要转载,请注明本站网址或者原文地址。任何问题请咨询:yoyou2525@163.com.

 
粤ICP备18138465号  © 2020-2021 STACKOOM.COM